EDIT - bug #7896

NPE, NullPointerException in RelationshipTermBase
11/08/2018 12:50 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%

Category: cdmlib Estimated time: 0:00 hour

Target version: Release 5.6

Severity: normal Found in Version:

Description

[flora-malesiana] 2018-11-08 12:24:42,410 INFO [gtpl207140081-129] [eu.etaxonomy.cdm.remote.contro
ller.TaxonPortalController] - doGetSynonymy () GET: /flora-malesiana/portal/taxon/09d427ff-a520-413

e-b86b-e39%abac29f52/synonymy
2018-11-08 12:24:42,491 WARN [gtpl207140081-129] [org.eclipse.jetty.servlet.ServletHandler] -
org.springframework.web.util.NestedServletException: Request processing failed; nested exception i
s net.sf.json.JSONException: java.lang.NullPointerException

at org.springframework.web.servlet.FrameworkServlet.processRequest (FrameworkServlet. java:9
81)

at org.springframework.web.servlet.FrameworkServlet.doGet (FrameworkServlet.java:860)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:687)

at org.springframework.web.servlet.FrameworkServlet.service (FrameworkServlet.java:845)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:790)

at org.eclipse.jetty.servlet.ServletHolder.handle (ServletHolder. java:808)

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1669)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:316)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke (Filt
erSecuritylInterceptor.java:126)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter (Fi
lterSecurityInterceptor. java:90)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter (ExceptionTr
anslationFilter.java:114)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.session.SessionManagementFilter.doFilter (SessionManage
mentFilter. java:122)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter (
AnonymousAuthenticationFilter.java:111)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doF
ilter (SecurityContextHolderAwareRequestFilter.java:169)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter (RequestC
acheAwareFilter. java:48)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.authentication.www.BasicAuthenticationFilter.doFilterI
nternal (BasicAuthenticationFilter.java:158)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter. java:
107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.ocauth2.provider.authentication.OAuth2AuthenticationProcess
ingFilter.doFilter (OAuth2AuthenticationProcessingFilter.java:176)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
.doFilterInternal (WebAsyncManagerIntegrationFilter.java:53)
Associated revisions

Revision dbb48641 - 02/23/2019 12:42 AM - Andreas Miiller

fix #7896 fix NPE in RelationshipTermBase.getinverseRepresentation

Revision 5751b127 - 04/15/2019 03:52 PM - Andreas Miiller

fix #7896 fix NPE in RelationshipTermBase.getinverseRepresentation

History

#1 - 01/30/2019 11:31 AM - Andreas Kohlbecker

- Target version changed from Release 5.5 to Release 5.6

#2 - 02/22/2019 05:39 PM - Andreas Kohlbecker
- Priority changed from New to Highest

- Target version changed from Release 5.6 to Reviewed Next Major Release

#3 - 02/23/2019 12:42 AM - Andreas Mdiller

- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|dbb486417a2345628d068d0470c845b1cb3dee3a.

#4 - 02/23/2019 12:46 AM - Andreas Miiller

- Target version changed from Reviewed Next Major Release to Release 5.6
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/dbb486417a2345628d068d0470c845b1cb3dee3a

There is not much information what data to use for reproducing error. However, | think dbb48641 should fix the problem. Though | do not understand
why there can be an inverseRepresentation being null. Is this maybe related to the known hibernate bug which creates unexpected null values during
merge (#8127). We should check this before closing if possible.

#5 - 04/11/2019 01:09 PM - Andreas Kohlbecker

- Target version changed from Release 5.6 to Release 5.7

#6 - 05/03/2019 10:25 AM - Andreas Miiller

This belongs to 5.6 if fixed, otherwise should be set to Feedback. Please review.

#7 - 05/16/2019 02:46 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed

- Assignee changed from Andreas Kohlbecker to Andreas Miiller
- Target version changed from Release 5.7 to Release 5.6

- % Done changed from 50 to 100

It's fixed since http://api.cybertaxonomy.org/flora-malesiana/portal/taxon/09d427ff-a520-413e-b86b-e39abac29f52/synonymy no longer reports an
error.
